# DirectoryIterator::getPerms

(PHP 5, PHP 7)

DirectoryIterator::getPerms — Get the permissions of current DirectoryIterator item

### Description

public DirectoryIterator::getPerms ( void ) : int

Get the permissions of the current DirectoryIterator item.

### Parameters

This function has no parameters.

### Return Values

Returns the permissions of the file, as a decimal integer.

### Examples

Example #1 DirectoryIterator::getPerms() example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if (!$fileinfo->isDot()) {
$octal_perms = substr(sprintf('%o', $fileinfo->getPerms()), -4);
echo $fileinfo->getFilename() . " " . $octal_perms . "\n";
}
}
?>`

The above example will output something similar to:

    apple.jpg 0644
    banana.jpg 0644
    index.php 0744
    pear.jpg 0644

### See Also

- DirectoryIterator::isExecutable() - Determine if current DirectoryIterator item is executable
- DirectoryIterator::isReadable() - Determine if current DirectoryIterator item can be read
- DirectoryIterator::isWritable() - Determine if current DirectoryIterator item can be written to